//--------------------------------------------------------------------
//
// op2_4.cpp
//
// a) Finner tallomrdet til int og long int.
//
// b) Finner ut hva som skjer nr vi gr 
//    utenfor tallomrdet til datatypen int
// 
#include <iostream>
#include <climits>
using namespace std;
    
int main()
{
  // Oppgave a)
  cout << "Tallomrdet til int er [" << 
          INT_MIN << ", " << INT_MAX << "]." << endl;
  cout << "Tallomrdet til long int er [" << 
          LONG_MIN << ", " << LONG_MAX << "]." << endl;
  
  // Oppgave b)
  // I vr kompilator er tallomrdet for de to datatypene det samme

  const int delta = 5;

  // Lagrer den ene grenseverdien i en variabel.
  int min = INT_MIN;
  int liteTall = min - delta; // ingen melding fra kompilatoren
  int stortTall = INT_MAX + delta; // advarsel: integral constant overflow
  unsigned long int stortTall2 = (unsigned long int) INT_MAX + (unsigned long int) delta;

  cout << INT_MIN << " - " << delta << " blir " << liteTall << endl;
  cout << INT_MAX << " + " << delta << " blir " << stortTall << endl;
  cout << "Addisjon med unsigned long int gir " << stortTall2 << endl;

  return 0;
} // main

/* Kjring av programmet (Microsoft Visual C++ 6.0):

Tallomrdet til int er [-2147483648, 2147483647].
Tallomrdet til long int er [-2147483648, 2147483647].
-2147483648 - 5 blir 2147483643
2147483647 + 5 blir -2147483644
Addisjon med unsigned long int gir 2147483652

*/
