//--------------------------------------------------------------------
//
// op2_6.cpp   
//
// Program for  finne antall timer, minutter og sekunder
// mellom to tidspunkter. Tidspunktene oppgis i timer, minutter og
// sekunder. Bruker kode fra oppgave 2-2 og 2-5. 
//

#include <iostream>
using namespace std;

int main()
{
  cout << "Finner hvor lenge det er mellom to tidspunkter." << endl;

  const int sekundPrTime = 3600;
  const int sekPrMin = 60;

  // Leser inn alle data
  int timer1;
  int min1;
  int sek1;
  cout << "Oppgi tidspunkt 1 (tt mm ss): ";
  cin >> timer1 >> min1 >> sek1;

  int timer2;
  int min2;
  int sek2;
  cout << "Oppgi tidspunkt 2 (tt mm ss): ";
  cin >> timer2 >> min2 >> sek2;

  // Regner om begge tidspunktene til sekunder
  long int totaltSek1 = (long int)timer1 * (long int)sekundPrTime +
           (long int)min1 * (long int)sekPrMin + (long int)sek1;
  long int totaltSek2 = (long int)timer2 * (long int)sekundPrTime +
           (long int)min2 * (long int)sekPrMin + (long int)sek2;

  // Finner avstanden mellom
  long int avstand = totaltSek2 - totaltSek1;

  // Regner om avstanden til timer, minutter og sekunder
  int antTim = avstand / sekundPrTime;
  int rest = avstand % sekundPrTime;
  int antMin = rest / sekPrMin;
  int antSek = rest % sekPrMin;

  cout << "Avstand mellom de to tidspunktene er " <<
          antTim << " tim(er), " << antMin << " minutt(er) og " <<
          antSek << " sekund(er)." << endl;

  return 0;
} // main

/* Eksempler p kjring:

Finner hvor lenge det er mellom to tidspunkter.
Oppgi tidspunkt 1 (tt mm ss): 10 30 20
Oppgi tidspunkt 2 (tt mm ss): 20 40 30
Avstand mellom de to tidspunktene er 10 tim(er), 10 minutt(er) og 10 sekund(er).

Finner hvor lenge det er mellom to tidspunkter.
Oppgi tidspunkt 1 (tt mm ss): 08 30 00
Oppgi tidspunkt 2 (tt mm ss): 09 10 10
Avstand mellom de to tidspunktene er 0 tim(er), 40 minutt(er) og 10 sekund(er).

*/
