//--------------------------------------------------------------------
//
// op3_5.cpp
//
// Program som regner om fra norske til svenske kroner og omvendt.
// Runder av til nrmeste 50-re.
//   
#include <iostream>
using namespace std;

int main()
{
  const double kurs = 84.64;

  const char tilSvenske = '1';
  const char tilNorske = '2';

  // Skriver ut kronebelp med to desimaler, se oppgave 3-4
  cout.setf(ios::fixed, ios::floatfield);
  cout.precision(2);

  cout << "Jeg regner om fra svenske kroner til norske og omvendt." << endl;
  cout << "100 svenske kroner koster " << kurs << " norske kroner." << endl;

  cout << tilSvenske << ". Regn om fra norske til svenske" << endl;
  cout << tilNorske << ". Regn om fra svenske til norske" << endl;
  cout << "Velg : ";
  char valg;
  cin >> valg;

  if (valg == tilSvenske || valg == tilNorske) {
    cout << "Skriv inn belp : ";
    double belop;
    cin >> belop;

    if (valg == tilSvenske) {
      cout << belop << " norske kr er lik ";
      belop = belop * kurs / 100.0;
      }
    else { // valg == tilNorske
      cout << belop << " svenske kr er lik ";
      belop = belop * 100.0 / kurs;
      }
    
    // Avrunding til nrmeste 50-re.
    //
    // Legg merke til at vi legger til 0.5 etter at vi har 
    // multiplisert med 100.0 p programlinja nedenfor. rsaken til
    // dette er at vi vil unng slike feil som at 1.99999 rundes av
    // til tallet 1 nr vi gr over fra type double til long int. Det
    // er nemlig slik at internt kan tallet 2 ligge lagret som nettopp
    // 1.999999999.
    long int belopet = (long int) (belop * 100.0 + 0.5); // hele re
    if (belopet % 50L >= 25L) {    // Rund opp til nrmeste 50 re
      belopet = belopet + 50L;     
      }
    belopet = (belopet / 50L) * 50L;  // Rund av til hele 50 re
    double avrBelop = (double) belopet / 100.0;

    if (valg == tilSvenske) {
      cout << belop << " svenske kr, avrundet til " << avrBelop << "." << endl;
      }
    else {// valg == tilNorske
      cout << belop << " norske kr, avrundet til " << avrBelop << "." << endl;
      } // if
    }
  else cout << "Valget er ugyldig." << endl;
  return 0;
} // main

/* Eksempler p kjring:

Jeg regner om fra svenske kroner til norske og omvendt.
100 svenske kroner koster 84.64 norske kroner.
1. Regn om fra norske til svenske
2. Regn om fra svenske til norske
Velg : 2
Skriv inn belp : 200
200.00 svenske kr er lik 236.29 norske kr, avrundet til 236.50.

Jeg regner om fra svenske kroner til norske og omvendt.
100 svenske kroner koster 84.64 norske kroner.
1. Regn om fra norske til svenske
2. Regn om fra svenske til norske
Velg : 1
Skriv inn belp : 200
200.00 norske kr er lik 169.28 svenske kr, avrundet til 169.50.

*/
