//--------------------------------------------------------------------
//
// op4_3.cpp
//
// Program som leser inn et belp i kroner, og skriver det
// ut igjen i kroner og re.
//
#include <iostream>
using namespace std;

int  fraKronerTilOre(double kroner);
int  heleKroner(int belop);
int  heleOre(int belop);  
void skrivBelop(int kroner, int ore);

const int orePrKrone = 100;

int main()
{
  cout << "Dette programmet leser inn et kronebelp ";
  cout << "og skriver det ut i kr og re." << endl << endl;

  cout << "Skriv belpet: ";  
  double belopKroner;
  cin >> belopKroner;   
  
  int belopOre = fraKronerTilOre(belopKroner);
  int kroner = heleKroner(belopOre);
  int ore= heleOre(belopOre);
  
  skrivBelop(kroner, ore);
  
  return 0;
} // main

//--------------------------------------------------------------------
//
// Funksjon som regner om fra kroner til re
//
int fraKronerTilOre(
  double kroner)   // Inn
{
  return (int) (kroner * orePrKrone);
} // fraKronerTilOre

//--------------------------------------------------------------------
//
// Funksjon som finner antall hele kroner
//
int heleKroner(
  int belop)      // Inn
{
  return belop / orePrKrone;
} // heleKroner

//--------------------------------------------------------------------
//
// funksjon som finner antall re til overs
//
int heleOre(       // Inn
  int belop)
{
  return belop % orePrKrone;
// Alternativ 1: return belop - (belop / orePrKrone * orePrKrone);    
// Alternativ 2: return belop - heleKroner(belop) * orePrKrone;
} // heleOre

//--------------------------------------------------------------------
//
// Funksjon som skriver ut et belp i kroner og re
//
void skrivBelop(
  int kroner,      // Inn
  int ore)         // Inn
{
  if (kroner >= 0 && ore >= 0) {
    if (kroner == 1) cout << "1 krone ";
    else cout << kroner << " kroner ";
    if (ore > 0) cout << "og " << ore << " re" << endl;
    }
  else cout << "Feil : Godtar ikke negative belp." << endl;
} // skrivBelop

/*Eksempel p kjring:
Dette programmet leser inn et kronebelp og skriver det ut i kr og re.

Skriv belpet: 123.06
123 kroner og 6 re
*/