//--------------------------------------------------------------------
//
// op6_2.cpp
//
// Program som gr gjennom et vareutvalg og finner varer som det er
// blitt solgt for lite av
//
#include <iostream>
#include <string>
using namespace std;

const int avslutt = -1;

void   instruksjoner();
int    lesHeltall(string tekst);
string lesOrd(string ledeTekst);
void   skrivMelding(int varenr, string varenavn, 
                    int antSolgtSisteMaaned, int nedreGrense);

int main()
{
  instruksjoner();

  int varenr = lesHeltall("\nGi inn varenr     : ");
  while (varenr != avslutt) {
    string varenavn = lesOrd("Varenavn          : ");
    int nedreGrense = lesHeltall("Nedre grense salg : ");
    int antSolgtSisteMaaned = lesHeltall("Solgt siste maaned: ");

    if (antSolgtSisteMaaned < nedreGrense) {
      skrivMelding(varenr, varenavn, antSolgtSisteMaaned, nedreGrense);
      }
    varenr = lesHeltall("\nGi inn varenr     : ");
    } // while
  
  return 0;
} // main

//--------------------------------------------------------------------
//
// Funksjon som leser et heltall
//
int lesHeltall(
  string ledeTekst)               // Inn
{
  int tallet;
  cout << ledeTekst;
  cin >> tallet;
  return tallet;
} // lesHeltall

//--------------------------------------------------------------------
//
// Funksjon som leser et ord
//
string lesOrd(
  string ledeTekst)               // Inn
{
  string ordet;
  cout << ledeTekst;
  cin >> ordet;
  return ordet;
} // lesOrd

//--------------------------------------------------------------------
//
// Funksjon som skriver ut melding om for lite salg
//
void skrivMelding(
  int    varenr,               // Inn 
  string varenavn,             // Inn
  int    antSolgtSisteMaaned,  // Inn
  int    nedreGrense)          // Inn
{
  double prosent =
          100.0 * (double)antSolgtSisteMaaned / (double)nedreGrense;
  cout << "\nVare nr. " << varenr << ", " << varenavn;
  cout << ", er i faresonen. " << prosent;
  cout << " av nedre grense er solgt.\n\n";
} // skrivMelding
      
//--------------------------------------------------------------------
//
// Funksjon som skriver ut instruksjoner
//
void instruksjoner()
{
  cout << "For hver vare leser programmet inn varenummer, varenavn\n";
  cout << "(ett ord),  nedre grense  for salg, samt antall enheter\n";
  cout << "solgt siste  mned. Dersom  antall  enheter solgt siste\n";
  cout << "mned er mindre enn nedre grense  skriver programmet ut\n";
  cout << "en melding om at varen er blitt for lite solgt.\n";
  cout << "\nAvslutt innlesingen ved  gi " << avslutt;
  cout << " i varenr.\n";
} // instruksjoner

/* Eksempel p kjring:

For hver vare leser programmet inn varenummer, varenavn
(ett ord),  nedre grense  for salg, samt antall enheter
solgt siste  mned. Dersom  antall  enheter solgt siste
mned er mindre enn nedre grense  skriver programmet ut
en melding om at varen er blitt for lite solgt.

Avslutt innlesingen ved  gi -1 i varenr.

Gi inn varenr     : 3
Varenavn          : pisoost
Nedre grense salg : 12
Solgt siste maaned: 10

Vare nr. 3, pisoost, er i faresonen. 83.3333 av nedre grense er solgt.


Gi inn varenr     : 7
Varenavn          : pisoplse
Nedre grense salg : 30
Solgt siste maaned: 33

Gi inn varenr     : -1

*/