//--------------------------------------------------------------------
//
// op6_5.cpp
//
// Funksjon som fjerner bestemte tegn fra en tekststreng.
// main() er et enkelt testprogram.
//
#include <iostream>
#include <string>
using namespace std;

string fjernTegn(string tegnSomSkalFjernes, string teksten);

int main()
{
  string tekst;
  string tegnSomSkalFjernes;
  cout << "Skriv teksten (maks. ei linje): ";
  getline(cin, tekst);
  cout << "Skriv tegnene som skal fjernes (maks. ei linje): ";
  getline(cin, tegnSomSkalFjernes);

  cout << "\nResultat: " << 
          fjernTegn(tegnSomSkalFjernes, tekst) << endl;

  return 0;
} // main

//--------------------------------------------------------------------
//
// Funksjon som fjerner tegn fra en tekst
//
string fjernTegn(  // teksten med de aktuelle tegnene fjernet
  string tegnSomSkalFjernes,  // Inn 
  string teksten)             // Inn
{
  // Sletter tegn fra teksten direkte. Begynner bakfra slik
  // at indekseringen blir riktig.
  int slutt = teksten.length() - 1; // opprinnelige sluttindeks
  int tegnnr; 
  for (tegnnr = slutt; tegnnr >= 0; tegnnr--) {
    char detteTegnet = teksten[tegnnr];
    if (tegnSomSkalFjernes.find(detteTegnet) != string::npos) {
      teksten.erase(tegnnr, 1);
      }
    }     
  return teksten;
} // fjernTegn


/* Eksempel p kjring:

Skriv teksten (maks. ei linje): dette er en prve
Skriv tegnene som skal fjernes (maks. ei linje): v e

Resultat: dttrnpr

*/