 //------------------------------------------------------------------- 
// op10_7_broek_test.cpp 
//
// Program som tester noen av funksjonene i klassen brk.
//
#include <iostream>
#include <string>
#include "op10_7_broek.cpp"

using namespace std;

void skriv(string tekst, Broek broek);

int main() 
{
  Broek a;
  a.settBroek(10, 20);
  Broek b;
  b.settBroek(3, 4);
  Broek c;
  c.settBroek(5);
  Broek d;
  d.settBroek(3, 2);
  Broek e;
  e.settBroek(2);

  cout << "Sammenlikner a og b: " << a.sammenlikn(b) << endl;
  cout << "Sammenlikner b og b: " << b.sammenlikn(b) << endl;
  cout << "Sammenlikner b og a: " << b.sammenlikn(a) << endl;

  skriv("a = ", a);
  skriv("b = ", b);
  skriv("c = ", c);
  skriv("d = ", d);
  skriv("e = ", e);

  Broek a1 = a.adder(b);
  Broek a2 = a.subtraher(b);
  Broek a3 = a.multipliser(b);
  Broek a4 = a.divider(b);
  Broek a5 = a.subtraher(a);

  skriv("a1 = ", a1);
  skriv("a2 = ", a2);
  skriv("a3 = ", a3);
  skriv("a4 = ", a4);
  skriv("a5 = ", a5);
  
  a.adderTil(b);
  b.subtraherFra(c);
  c.multipliserMed(d);
  d.dividerMed(e);

  skriv("a = ", a);
  skriv("b = ", b);
  skriv("c = ", c);
  skriv("d = ", d);

  return 0;
} // main

//-------------------------------------------------------------------
//
// Funksjon for  skrive en brk.
//
void skriv(
  string tekst,   // Inn
  Broek  broek)   // Inn
{
  cout << tekst << broek.finnTeller() << " / " << broek.finnNevner() << endl;
} // skriv

/* Kjring av programmet:

Sammenlikner a og b: -1
Sammenlikner b og b: 0
Sammenlikner b og a: 1
a = 1 / 2
b = 3 / 4
c = 5 / 1
d = 3 / 2
e = 2 / 1
a1 = 5 / 4
a2 = -1 / 4
a3 = 3 / 8
a4 = 2 / 3
a5 = 0 / 1
a = 5 / 4
b = -17 / 4
c = 15 / 2
d = 3 / 4

*/