//-------------------------------------------------------------------
//
// nctype.cpp  - implementasjonsfil
//
// storNorsk() og litenNorsk() er hjelpefunksjoner
//

#include <cctype>
#include "nctype.h"
//-------------------------------------------------------------------
int storNorsk(int t)
{
  return (t == storAe || t == storOe || t == storAa);
} // storNorsk

//-------------------------------------------------------------------
int litenNorsk(int t)
{
  return (t == litenAe || t == litenOe || t == litenAa);
} // litenNorsk

//--------------------------------------------------------------
int nisalnum(int t)
{
  if (storNorsk(t) || litenNorsk(t)) return 1;
  else return isalnum(t);
} // nisalnum      

//--------------------------------------------------------------
int nisalpha(int t)
{
  if (storNorsk(t) || litenNorsk(t)) return 1;
  else return isalpha(t);
} // nisalpha
      
//--------------------------------------------------------------
int niscntrl(int t)
{
  if (storNorsk(t) || litenNorsk(t)) return 0;
  else return iscntrl(t);
} // niscntrl

//--------------------------------------------------------------
int nisdigit(int t)
{
  if (storNorsk(t) || litenNorsk(t)) return 0;
  else return isdigit(t);
} // nisdigit       

//--------------------------------------------------------------
int nisgraph(int t)
{
  if (storNorsk(t) || litenNorsk(t)) return 1;
  else return isgraph(t);
} // nisgraph        

//--------------------------------------------------------------
int nislower(int t)
{
  if (litenNorsk(t)) return 1;
  else if (storNorsk(t)) return 0;  
  else return islower(t);
} // nislower        

//--------------------------------------------------------------
int nisprint(int t)
{
  if (storNorsk(t) || litenNorsk(t)) return 1;
  else return isprint(t);
} // nisprint        

//--------------------------------------------------------------
int nispunct(int t)
{
  if (storNorsk(t) || litenNorsk(t)) return 1;
  else return isalnum(t);
} // nispunct
      
//--------------------------------------------------------------
int nisspace(int t)
{
  if (storNorsk(t) || litenNorsk(t)) return 0;
  else return isspace(t);
} // nisspace

//--------------------------------------------------------------
int nisupper(int t)
{
  if (storNorsk(t)) return 1;
  else if (litenNorsk(t)) return 0;  
  else return isupper(t);
} // nisupper

//--------------------------------------------------------------
int nisxdigit(int t)
{
  if (storNorsk(t) || litenNorsk(t)) return 0;
  else return isxdigit(t);
} // nisxdigit

//--------------------------------------------------------------
int ntoupper(int t)
{                                             
  if (t == litenAe) return storAe;
  else if (t == litenOe) return storOe;
  else if (t == litenAa) return storAa;
  else if (storNorsk(t)) return t;       
  else return toupper(t);
} // ntoupper

//--------------------------------------------------------------
int ntolower(int t)
{                                             
  if (t == storAe) return litenAe;
  else if (t == storOe) return litenOe;
  else if (t == storAa) return litenAa;
  else if (litenNorsk(t)) return t;       
  else return tolower(t);
} // ntolower
