//-------------------------------------------------------------------
//
// nctype_t.cpp
//
// Testprogram for funksjonene p "nctype.h/nctype.cpp"
// Utskrift til fil.
//
#include <fstream>
#include <iostream>
#include "nctype.h"
using namespace std;

void testFunksjoner(ofstream &ut, int verdi);

int main()
{       
  ofstream ut;
  ut.open("ut.dat");

  testFunksjoner(ut, int('A'));  
  testFunksjoner(ut, int('2'));  
  testFunksjoner(ut, int('+')); 
  testFunksjoner(ut, int(' ')); 
  testFunksjoner(ut, int(''));  
  testFunksjoner(ut, int(''));  
  testFunksjoner(ut, int(''));  
  testFunksjoner(ut, int(''));  
  testFunksjoner(ut, int(''));  
  testFunksjoner(ut, int(''));  

  ut.close();
  return 0;
} // main

void testFunksjoner(ofstream &ut, int verdi) 
{
  ut << "Tester tegnet med verdi " << verdi << endl; 
  if (nisprint(verdi)) ut << "Skrivbart tegn : " << char(verdi);
  else ut << "Ikke skrivbart tegn";
  ut << endl;  
  ut << "nisalnum(verdi) gir " << nisalnum(verdi) << endl;
  ut << "nisalpha(verdi) gir " << nisalpha(verdi) << endl;
  ut << "niscntrl(verdi) gir " << niscntrl(verdi) << endl;
  ut << "nisdigit(verdi) gir " << nisdigit(verdi) << endl;
  ut << "nisgraph(verdi) gir " << nisgraph(verdi) << endl;
  ut << "nislower(verdi) gir " << nislower(verdi) << endl;
  ut << "nisprint(verdi) gir " << nisprint(verdi) << endl;
  ut << "nispunct(verdi) gir " << nispunct(verdi) << endl;
  ut << "nisspace(verdi) gir " << nisspace(verdi) << endl;
  ut << "nisupper(verdi) gir " << nisupper(verdi) << endl;
  ut << "nisxdigitv(verdi) gir " << nisxdigit(verdi) << endl;
  int t = ntoupper(verdi);
  if (nisprint(t)) ut << "ntoupper(verdi) gir " << (char)t;
  else ut << "ntoupper(verdi) gir ikke skrivbart tegn";
  ut << endl;  
  t = ntolower(verdi);
  if (nisprint(t)) ut << "ntolower(verdi) gir " << (char)t;
  else ut << "ntolower(verdi) gir ikke skrivbart tegn";
  ut << endl;
} // testFunksjoner