//-------------------------------------------------------------------
//
// navn.h
//
// Klasse for  hndtere personnavn. 
// 
#ifndef NAVN_DEFINERT
  #define NAVN_DEFINERT  
  #include <string>
  using namespace std;
  class Navn {         

    public:
      Navn(  // minst to ord, fornavn frst
        const string &initNavn);                      // Inn
      Navn(
        const string &initFornavn,                    // Inn
        const string &initMellomnavn,                 // Inn
        const string &initEtternavn);                 // Inn

      void          settNavn(  // minst to ord, fornavn frst
                      const string &nyttNavn);        // Inn
      void          settFornavn(
                      const string &nyttFornavn);	    // Inn
      void          settMellomnavn(
                      const string &nyttMellomnavn);  // Inn
      void          settEtternavn(
                      const string &nyttEtternavn);	  // Inn
      const string &finnFornavn() const;
      const string &finnEtternavn() const;
      const string &finnMellomnavn() const;
      string finnNavn() const;
  
    private:
      string fornavn;
      string mellomnavn;
      string etternavn;
    }; // Navn
#endif