//---------------------------------------------------------------------
//
// test_oppg_a.cpp - testprogram
//
#include <string>
#include <vector>
#include <iostream>
#include "boeker.h"

using namespace std;

int main()
{
  string *fTab = new string[2];
  fTab[0] = "Georgia Byng";
  fTab[1] = "John Erik Be Lindgren";
  Barnebok bb("Molly Moons eventyrlige tidsreise", fTab, 2, 2005, 249,
               366, "8203247598", "Norge", 10, 17);
  delete [] fTab;

  fTab = new string[3];
  fTab[0] = "Nicholas C. Zakas";
  fTab[1] = "Jeremy McPeak";
  fTab[2] = " Jeremy McPeak";
  Fagbok fb("Professional AJAX", fTab, 3, 2006, 319,
               406, "0471777781", "USA", Fagbok::data);
  delete [] fTab;

  fTab = new string[1];
  fTab[0] = "Bukowski, Charles";
  Skjoennlitteraer sb("Postkontoret", fTab, 1, 2001, 89, 166,
    "8205297134", "Norge", Skjoennlitteraer::samtidsroman);
  delete [] fTab;

  vector<Bok *> boeker;
  boeker.push_back(&bb);
  boeker.push_back(&fb);
  boeker.push_back(&sb);

  for (int i = 0; i < (int) boeker.size(); i++) {
    cout << boeker[i]->lagUtskrift() << endl << endl;
    }

  return 0;
} // main

/* Utskrift:
Type bok: Barnebok
Forfatter(e): Georgia Byng, John Erik Be Lindgren
Tittel: Molly Moons eventyrlige tidsreise
Utgitt: 2005 i Norge, isbn: 8203247598, ant sider: 366, pris: 249kr., aldersgruppe: 10 - 17 r

Type bok: Fagbok
Forfatter(e): Nicholas C. Zakas, Jeremy McPeak,  Jeremy McPeak
Tittel: Professional AJAX
Utgitt: 2006 i USA, isbn: 0471777781, ant sider: 406, pris: 319kr., emne: data

Type bok: Skjnnlitteratur
Forfatter(e): Bukowski, Charles
Tittel: Postkontoret
Utgitt: 2001 i Norge, isbn: 8205297134, ant sider: 166, pris: 89kr., sjanger: samtidsroman

*/
