//--------------------------------------------------------------------
//
// op4_2.cpp
//
// Program som skriver ut et belp i hele kroner og re.
//
#include <iostream>
using namespace std;
  
const int maxOre = 99;

int  lesHeltall();
void skrivBelop(int kroner, int ore);

int main()
{
  cout << "Dette programmet skriver ut";
  cout << " to tall i kr og re." << endl << endl;

  cout << "Skriv kroner: ";
  int kroner = lesHeltall();
  cout << "Skriv re: ";
  int ore = lesHeltall();

  if (ore > maxOre) cout << "Feil: for mange re" << endl;
  else {
    cout << endl;
    skrivBelop(kroner, ore);
    } // if
  return 0;
} // main

//--------------------------------------------------------------------
//
// Funksjon som leser et heltall
//
int lesHeltall()
{
  int tallet;
  cin >> tallet;
  return tallet;
} // lesHeltall

//--------------------------------------------------------------------
//
// Funksjon som skriver ut et belp i kroner og re
//
void skrivBelop(
  int kroner,                          // Inn
  int ore)                             // Inn
{
  if (kroner >= 0 && ore >= 0) {
    if (kroner == 1) cout << "1 krone ";
    else cout << kroner << " kroner ";
    if (ore > 0) cout << "og " << ore << " re" << endl;
    }
  else cout << "Feil : Godtar ikke negative belp." << endl;
} // skrivBelop

/*Eksempler p kjring:

Eksempel 1:
Dette programmet skriver ut to tall i kr og re.

Skriv kroner: 47
Skriv re: 33

47 kroner og 33 re

Eksempel 2:
Dette programmet skriver ut to tall i kr og re.

Skriv kroner: 1
Skriv re: 0

1 krone
*/