//--------------------------------------------------------------------
//
// op5_3.cpp
//
// Program som finner ut om et tall er et primtall
//
#include <iostream>
using namespace std;

void     skrivInstruks();
long int lesPositivtHeltall();
bool     erPrimtall(long int tallet);

int main()
{
  skrivInstruks();

  long int tallet = lesPositivtHeltall();

  cout << "Tallet " << tallet;
  if (erPrimtall(tallet)) {
    cout << " er et primtall." << endl;
    }
  else cout << " er ikke et primtall." << endl;
  
  return 0;
} // main

//--------------------------------------------------------------------
//
// Funksjon som finner om et positivt tall er primtall
//
bool erPrimtall(
  long int tallet)                      // Inn
{
  bool primTall = true;

  int i;
  for (i = 2; i <= tallet / 2; i++) {
    if (tallet % i == 0) primTall = false;
    } // for

  return primTall;
} // primTall

//--------------------------------------------------------------------
//
// Funksjon som leser et positivt heltall
//
long int lesPositivtHeltall()
{
  long int tallet;

  cout << endl << "Skriv tallet: ";
  cin >> tallet;

  while (tallet < 1) {
    cout << "Feil: Skriv et positivt heltall" << endl;
    cout << "Skriv tallet: ";
    cin >> tallet;
    } // while

  return tallet;
} // lesPositivtHelTall

//--------------------------------------------------------------------
//
// Funksjon som skriver instrukser
//
void skrivInstruks()
{
  cout << "Skriv inn et heltall, og jeg finner ut om det er et";
  cout << " primtall eller ikke." << endl;
} // skrivInstruks

/* Eksempel p kjring:

Skriv inn et heltall, og jeg finner ut om det er et primtall eller ikke.

Skriv tallet: 17
Tallet 17 er et primtall.
*/
