//--------------------------------------------------------------------
//
// op5_4.cpp
//
// Program som grupperer temperaturer og skriver ut antall i hver
// gruppe
//
#include <iostream>
using namespace std;

const double gruppe1Grense = 10.0;
const double gruppe2Grense = 20.0;

void instruksjoner();

int main()
{
  instruksjoner();

  int gruppe1 = 0;
  int gruppe2 = 0;
  int gruppe3 = 0;

  cout << endl << "Hvor mange dager er det i mneden? ";
  int dagerIMaaned;
  cin >> dagerIMaaned;

  for (int i = 0; i < dagerIMaaned; i++) {
    cout << "Temperatur dag " << i + 1 << ": ";
    double temp;
    cin >> temp;
    if (temp < gruppe1Grense) gruppe1++;
    else if (temp <= gruppe2Grense) gruppe2++;
    else gruppe3++;
    } // for

  cout << endl << endl;
  cout << "Temperatur < " << gruppe1Grense;
  cout << " grader C    : " << gruppe1 << endl;
  cout << "Temperatur " << gruppe1Grense << " - " << gruppe2Grense;
  cout << " grader C : " << gruppe2 << endl;
  cout << "Temperatur > " << gruppe2Grense;
  cout << " grader C    : " << gruppe3 << endl;

  return 0;
} // main

//--------------------------------------------------------------------
//
// Funksjon som sender info til bruker
//
void instruksjoner()
{
  cout << "Du taster inn alle temperaturene for en mned," << endl;
  cout << "og jeg finner antall dager innenfor hver av" << endl;
  cout << "flgende 3 grupper: " << endl << endl;
  cout << "1. Temperatur < " << gruppe1Grense;
  cout << " grader C" << endl;
  cout << "2. Temperatur " << gruppe1Grense << " - " << gruppe2Grense;
  cout << " grader C" << endl;
  cout << "3. Temperatur > " << gruppe2Grense;
  cout << " grader C" << endl << endl;
  cout << "Du m angi hvor mange dager det er i mneden.";
  cout << endl << endl;
} //instruksjoner

/* Eksempel p kjring:

Du taster inn alle temperaturene for en mned,
og jeg finner antall dager innenfor hver av
flgende 3 grupper:

1. Temperatur < 10 grader C
2. Temperatur 10 - 20 grader C
3. Temperatur > 20 grader C

Du m angi hvor mange dager det er i mneden.


Hvor mange dager er det i mneden? 5
Temperatur dag 1: 0.5
Temperatur dag 2: 10
Temperatur dag 3: 12
Temperatur dag 4: 21
Temperatur dag 5: 20


Temperatur < 10 grader C    : 1
Temperatur 10 - 20 grader C : 3
Temperatur > 20 grader C    : 1
*/