//--------------------------------------------------------------------
//
// op6_7.cpp
//
// Funksjon som finner ut om en tekst er en palindrom.
// main() er et enkelt testprogram.
//
#include <iostream>
#include <string>
using namespace std;

bool erPalindrom(string teksten);

int main()
{
  string tekst;
  cout << "Skriv teksten (maks. ei linje): ";
  getline(cin, tekst);
  
  if (erPalindrom(tekst)) cout << "Teksten er en palindrom.\n";
  else cout << "Teksten er ikke en palindrom.\n";
  
  return 0;
} // main

//--------------------------------------------------------------------
//
// Funksjon som finner ut om en tekst er en palindrom.
//
bool erPalindrom(
  string teksten)             // Inn
{
  bool erPal = true;
  int tegnnr = 0;
  while (erPal && tegnnr < teksten.length() / 2) {
    int tegnnrBakfra = teksten.length() - tegnnr - 1;
    if (teksten[tegnnr] != teksten[tegnnrBakfra]) erPal = false;
    tegnnr++;
    }
  return erPal;
} // erPalindrom

/* Eksempel p kjring:

Skriv teksten (maks. ei linje): ana
Teksten er en palindrom.

*/