//------------------------------------------------------------------
//
// op7_1.cpp
//
// Program som beregner areal av en mangekant
//

#include <iostream>
#include <string>
#include <cmath>
using namespace std;

double lengde(double x1, double y1, double x2, double y2);
double heron(double a, double b, double c);
void   lesPunkt(const string tekst, double &x, double &y);

int main()
{
  double x1;            // x- og y-koordinatene til hjrnepunktene
  double y1;
  double x2;
  double y2;
  double x3;
  double y3;
  double side1;
  double side2;
  double side3;
  double areal;

// Oppgave c

  lesPunkt("1. hjrne: ", x1, y1);
  lesPunkt("2. hjrne: ", x2, y2);
  lesPunkt("3. hjrne: ", x3, y3);

  side1 = lengde(x1, y1, x2, y2);
  side2 = lengde(x2, y2, x3, y3);
  side3 = lengde(x3, y3, x1, y1);

  areal = heron(side1, side2, side3);

  cout << "Arealet blir " << areal << endl;

// Oppgave d

  int antallHjorner;

  cout << "Hvor mange hjrner (minst 3) ? ";
  cin >> antallHjorner;

  lesPunkt("1. hjrnepunkt: ", x1, y1);
  lesPunkt("2. hjrnepunkt: ", x2, y2);
  side1 = lengde(x1, y1, x2, y2);
  areal = 0.0;

  int teller;
  for (teller = 2; teller < antallHjorner; teller++) {
    lesPunkt ("Neste hjrne: ", x3, y3);
    side2 = lengde(x2, y2, x3, y3);
    side3 = lengde(x3, y3, x1, y1);
    areal = areal + heron(side1, side2, side3);

    x2 = x3;
    y2 = y3;
    side1 = side3;
    }

  cout << "Arealet blir " << areal << endl;
  
  return 0;
} // main

// oppgave a

//----------------------------------------------------------------
//
// Pythagoras
//
double lengde(
  double x1,            // Inn
  double y1,            // Inn
  double x2,            // Inn
  double y2)            // Inn
{
  return sqrt((x2 - x1) * (x2 - x1) + (y2 - y1) * (y2 -y1));
} // lengde

// oppgave b

//----------------------------------------------------------------
//
// Herons formel for  beregne arealet av en trekant
//
double heron(
  double side1,         // Inn
  double side2,         // Inn
  double side3)         // Inn
{
  double halvOmkrets;
  double areal;

  halvOmkrets = (side1 + side2 + side3) / 2.0;
  areal = halvOmkrets * (halvOmkrets - side1) *
         (halvOmkrets - side2) * (halvOmkrets - side3);
  areal = sqrt(areal);
  return areal;
} // heron

// oppgave c

//----------------------------------------------------------------
//
// Leser en koordinat
//
void lesPunkt(
  const string tekst,    // Inn
  double     &x,         // Ut
  double     &y)         // Ut
{
  cout << tekst;
  cin >> x >> y;
} // lesPunkt

/* Kjreresultat

1. hjrne: 0 0
2. hjrne: 0 5
3. hjrne: 2 2
Arealet blir 5
Hvor mange hjrner (minst 3) ? 4
1. hjrnepunkt: 0 0
2. hjrnepunkt: 0 5
Neste hjrne: 5 5
Neste hjrne: 5 0
Arealet blir 25

*/
