//--------------------------------------------------------------------
//     
// op8_3.cpp
//
// Program som finner tverrsummen av et tall inntil tverrsumen blir 
// kun ett siffer
//
#include <iostream>
#include <string>
using namespace std;

void     instruksjoner();
int      tverrSum(long int tallet);
long int lesHeltall(const string tekst);

int main()
{
  instruksjoner();  

  bool  fortsett = true;
  long int tallet = lesHeltall("Skriv tallet : ");
  
  while (fortsett) {
    int tverrSummen = tverrSum(tallet);
    cout << "Tverrsummen av " << tallet;
    cout << " er " << tverrSummen << endl;
    tallet = tverrSummen;
    if (tallet < 10) fortsett = false;
    } // while
  return 0;
} // main

//--------------------------------------------------------------------
//
// Funksjon som regner ut tverrsummen av et tall
//
int tverrSum(
  long int tallet)                     // Inn
{
  int tverrSummen = 0;

  if (tallet < 0) tallet = -tallet;

  long int i = 10;
  while (tallet >= 1) {
    int siffer = (int)(tallet % i);
    tverrSummen += siffer;
    tallet /= i;
    } // while
    
  return tverrSummen;
} // tverrSum

//--------------------------------------------------------------------
//
// Funksjon som leser et heltall
//
long int lesHeltall(
  const string tekst)                   // Inn
{
  long int tallet;
  cout << tekst;
  cin >> tallet;
  return tallet;
} // lesHeltall

//--------------------------------------------------------------------
//
// Funksjon som skriver ut instruksjoner
//
void instruksjoner()
{
  cout << "Program som finner tverrsummen av et tall inntil" << endl;
  cout << "tverrsumen blir kun ett siffer." << endl;
} // instruksjoner

/* Kjreresultat

Program som finner tverrsummen av et tall inntil
tverrsumen blir kun ett siffer.
Skriv tallet : 12345678
Tverrsummen av 12345678 er 36
Tverrsummen av 36 er 9

*/