//------------------------------------------------------------------
//
// op10_4_dato_test.cpp    
//
#include <string>
#include <iostream>
#include "op10_4_dato.cpp"  // klassen Dato med implementasjon

using namespace std;

int main() {
  Dato iDag;
  iDag.settDato(); // dagens dato
  cout << "Datoen i dag er " << iDag.finnDato() << endl;

  string datoLest1;
  string datoLest2;
  cout << "Skriv to datoer (ddmm): ";
  cin >> datoLest1 >> datoLest2;
  while (true) {  // ok med evig lkke for testforml
    Dato dato1;    
    Dato dato2;    
    bool ok1 = dato1.settDato(datoLest1);
    bool ok2 = dato2.settDato(datoLest2);
    if (ok1 && ok2) {
      // Prver finn-funksjonene
      
      cout << "Dato1 - dag: " << dato1.finnDag() << ", mnd: " << dato1.finnMnd() << 
              ", r: " << dato1.finnAar() << endl;
      cout << "Dato2: " << dato2.finnDato() << endl;      

      // Prver sammenlikn() og antalldagerTil()
      int res = dato1.sammenlikn(dato2);
      if (res == 0) cout << "Datoene er like\n";
      else if (res < 0) cout << "Dato1 er frst i tid\n";
      else cout << "Dato1 er sist i tid\n";
      long int antDg = dato1.antallDagerTil(dato2);
      cout << "Antall dager fra dato1 til dato2 er " << antDg << endl;
    } else {
      if (!ok1) cout << "Dato1 er ugyldig\n";
      if (!ok2) cout << "Dato2 er ugyldig\n";
    }
    cout << "Skriv to datoer (ddmm): ";
    cin >> datoLest1 >> datoLest2;  
  }  // while
  return 0;
} // main

/* Eksempel p kjring:

Datoen i dag er 19082003
Skriv to datoer (ddmm): 28022000 01032000
Dato1 - dag: 28, mnd: 2, r: 2000
Dato2: 01032000
Dato1 er frst i tid
Antall dager fra dato1 til dato2 er 2
Skriv to datoer (ddmm): 28022003 01032003
Dato1 - dag: 28, mnd: 2, r: 2003
Dato2: 01032003
Dato1 er frst i tid
Antall dager fra dato1 til dato2 er 1
Skriv to datoer (ddmm): 28022003 28022004
Dato1 - dag: 28, mnd: 2, r: 2003
Dato2: 28022004
Dato1 er frst i tid
Antall dager fra dato1 til dato2 er 365
Skriv to datoer (ddmm):

*/

