//--------------------------------------------------------------------
//
// penge.h 
//
// Klassen Penger 
//         Klassen hndterer bare positive belp.
//         Ved divisjon avrundes belpene nedover.
//  
#ifndef PENGER_DEFINERT
  #define PENGER_DEFINERT
    class Penger {
      public:
        void      settBelop(        
                    int   pund,                     // Inn
                    int   shilling,                 // Inn
                    int   pence);                   // Inn
        void      settAntPence(
                    int   pence);                   // Inn
        void      finnBelop(
                    int  &pund,                     // Ut
                    int  &shilling,                 // Ut
                    int  &pence) const;             // Ut
        int       finnBelop();                    
        Penger    operator+(
                    const Penger &denAndre) const;  // Inn
        Penger   &operator+=(                 
                    const Penger &denAndre);        // Inn
        Penger    operator-(
                    const Penger &denAndre) const;  // Inn
        Penger   &operator-=(
                    const Penger &denAndre);        // Inn
        Penger    operator*(
                    const Penger &denAndre) const;  // Inn
        Penger   &operator*=(
                    const Penger &denAndre);        // Inn          
        Penger    operator/(
                    const Penger &denAndre) const;  // Inn
        Penger   &operator/=(
                    const Penger &denAndre);        // Inn
        bool      operator>(
                    const Penger &denAndre) const;  // Inn      
        bool      operator<(
                    const Penger &denAndre) const;  // Inn                                                            
        bool      operator>=(
                    const Penger &denAndre) const;  // Inn      
        bool      operator<=(
                    const Penger &denAndre) const;  // Inn                                                            
        bool      operator==(
                    const Penger &denAndre) const;  // Inn                            
        bool      operator!=(
                    const Penger &denAndre) const;  // Inn                                                          
        Penger    operator/(
                    int heltall) const;             // Inn
        Penger    operator*(
                    int heltall) const;             // Inn                    
        bool      operator>(
                    int heltall) const;             // Inn
        bool      operator<(
                    int heltall) const;             // Inn                    
                      
      private:
        int sammenlikn(                           
              const Penger &denAndre) const;        // Inn
        int antPence;
    }; // Penger
#endif                           
